package nl.kallestruik.darena.types.countdown

import org.bukkit.Bukkit
import org.bukkit.entity.Player
import org.bukkit.plugin.java.JavaPlugin

class AsyncCountdownWithSyncTask(
    plugin: JavaPlugin,
    time: Int,
    subtitle: String,
    private val during: Runnable,
    after: Runnable,
    alwaysAsTitle: Boolean = false,
    alwaysAsActionBar: Boolean = false,
): AsyncCountdown(plugin, time, subtitle, alwaysAsTitle, alwaysAsActionBar, after) {
    override fun start(players: Collection<Player>): Countdown {
        super.start(players)
        Bukkit.getScheduler().runTask(plugin, during)

        return this
    }
}