package nl.kallestruik.darena.types.border

import nl.kallestruik.darena.arenas.world.ArenaWorld

class MCBorder(
    private val world: ArenaWorld
): AbstractBorder() {
    override fun size(size: Double, time: Long) {
        world.world.worldBorder.setSize(size, time)
    }

    override fun center(x: Double, y: Double) {
        world.world.worldBorder.setCenter(x, y)
    }
}